diff --git a/doc/bash.ps b/doc/bash.ps
index 7a1f7eb6..e3a221b8 100644
--- a/doc/bash.ps
+++ b/doc/bash.ps
@@ -4698,21 +4700,21 @@ E(start\255kbd\255macr)108 436.8 Q 2.5(o\()-.18 G(C\255x \()-2.5 E(\))
 (ving the characters typed into the current k)-.2 E -.15(ey)-.1 G
 (board macro and store the de\214nition.).15 E F1
 (call\255last\255kbd\255macr)108 484.8 Q 2.5(o\()-.18 G(C\255x e\))-2.5
-E F0(Re-e)144 496.8 Q -.15(xe)-.15 G 1(cute the last k).15 F -.15(ey)-.1
-G .999(board macro de\214ned, by making the characters in the macro app\
-ear as if).15 F(typed at the k)144 508.8 Q -.15(ey)-.1 G(board.).15 E F1
-(Miscellaneous)87 525.6 Q -.18(re)108 537.6 S<ad72>.18 E
-(ead\255init\255\214le \(C\255x C\255r\))-.18 E F0 1.776
+E F0(Re-e)144 496.8 Q -.15(xe)-.15 G .999(cute the last k).15 F -.15(ey)
+-.1 G .999(board macro de\214ned, by making the characters in the macro\
+ appear as if).15 F(typed at the k)144 508.8 Q -.15(ey)-.1 G(board.).15
+E F1(Miscellaneous)87 525.6 Q -.18(re)108 537.6 S<ad72>.18 E
+(ead\255init\255\214le \(C\255x C\255r\))-.18 E F0 1.777
 (Read in the contents of the)144 549.6 R/F2 10/Times-Italic@0 SF(inputr)
-4.276 E(c)-.37 E F0 1.777(\214le, and incorporate an)4.276 F 4.277(yb)
--.15 G 1.777(indings or v)-4.277 F 1.777(ariable assignments)-.25 F
-(found there.)144 561.6 Q F1(abort \(C\255g\))108 573.6 Q F0 3.249
+4.277 E(c)-.37 E F0 1.776(\214le, and incorporate an)4.276 F 4.276(yb)
+-.15 G 1.776(indings or v)-4.276 F 1.776(ariable assignments)-.25 F
+(found there.)144 561.6 Q F1(abort \(C\255g\))108 573.6 Q F0 3.248
 (Abort the current editing command and ring the terminal')144 585.6 R
-5.748(sb)-.55 G 3.248(ell \(subject to the setting of)-5.748 F F1
+5.749(sb)-.55 G 3.249(ell \(subject to the setting of)-5.749 F F1
 (bell\255style)144 597.6 Q F0(\).)A F1(do\255upper)108 609.6 Q
 (case\255v)-.18 E(ersion \(M\255a, M\255b, M\255)-.1 E F2(x)A F1 2.5(,.)
-C(..\))-2.5 E F0 1.755(If the meta\214ed character)144 621.6 R F2(x)
-4.255 E F0 1.755(is lo)4.255 F 1.756
+C(..\))-2.5 E F0 1.756(If the meta\214ed character)144 621.6 R F2(x)
+4.256 E F0 1.755(is lo)4.256 F 1.755
 (wercase, run the command that is bound to the corresponding)-.25 F
 (uppercase character)144 633.6 Q(.)-.55 E F1(pr)108 645.6 Q
 (e\214x\255meta \(ESC\))-.18 E F0(Metafy the ne)144 657.6 Q
@@ -4725,7 +4727,7 @@ C(..\))-2.5 E F0 1.755(If the meta\214ed character)144 621.6 R F2(x)
 F 3.595(ee)-.1 G -.15(xe)-3.745 G 1.095(cuting the).15 F F1(undo)3.595 E
 F0 1.095(command enough times to)3.595 F
 (return the line to its initial state.)144 717.6 Q(GNU Bash-3.2)72 768 Q
-(2006 December 26)135.965 E(40)185.955 E 0 Cg EP
+(2007 January 12)140.96 E(40)190.95 E 0 Cg EP
 %%Page: 41 41
 %%BeginPageSetup
 BP
@@ -4737,49 +4739,49 @@ BP
 (Set the mark to the point.)144 120 Q(If a numeric ar)5 E
 (gument is supplied, the mark is set to that position.)-.18 E F1
 (exchange\255point\255and\255mark \(C\255x C\255x\))108 132 Q F0(Sw)144
-144 Q .282(ap the point with the mark.)-.1 F .283
+144 Q .283(ap the point with the mark.)-.1 F .283
 (The current cursor position is set to the sa)5.283 F -.15(ve)-.2 G
-2.783(dp).15 G .283(osition, and the old)-2.783 F(cursor position is sa)
+2.782(dp).15 G .282(osition, and the old)-2.782 F(cursor position is sa)
 144 156 Q -.15(ve)-.2 G 2.5(da).15 G 2.5(st)-2.5 G(he mark.)-2.5 E F1
-(character\255sear)108 168 Q(ch \(C\255]\))-.18 E F0 3.036(Ac)144 180 S
-.536(haracter is read and point is mo)-3.036 F -.15(ve)-.15 G 3.035(dt)
+(character\255sear)108 168 Q(ch \(C\255]\))-.18 E F0 3.035(Ac)144 180 S
+.535(haracter is read and point is mo)-3.035 F -.15(ve)-.15 G 3.035(dt)
 .15 G 3.035(ot)-3.035 G .535(he ne)-3.035 F .535
-(xt occurrence of that character)-.15 F 5.535(.A)-.55 G(ne)-2.5 E -.05
-(ga)-.15 G(ti).05 E .835 -.15(ve c)-.25 H(ount).15 E(searches for pre)
+(xt occurrence of that character)-.15 F 5.536(.A)-.55 G(ne)-2.5 E -.05
+(ga)-.15 G(ti).05 E .836 -.15(ve c)-.25 H(ount).15 E(searches for pre)
 144 192 Q(vious occurrences.)-.25 E F1(character\255sear)108 204 Q
-(ch\255backward \(M\255C\255]\))-.18 E F0 3.543(Ac)144 216 S 1.043
-(haracter is read and point is mo)-3.543 F -.15(ve)-.15 G 3.544(dt).15 G
+(ch\255backward \(M\255C\255]\))-.18 E F0 3.544(Ac)144 216 S 1.044
+(haracter is read and point is mo)-3.544 F -.15(ve)-.15 G 3.544(dt).15 G
 3.544(ot)-3.544 G 1.044(he pre)-3.544 F 1.044
-(vious occurrence of that character)-.25 F 6.044(.A)-.55 G(ne)-2.5 E
+(vious occurrence of that character)-.25 F 6.043(.A)-.55 G(ne)-2.5 E
 -.05(ga)-.15 G(ti).05 E -.15(ve)-.25 G
 (count searches for subsequent occurrences.)144 228 Q F1
-(insert\255comment \(M\255#\))108 240 Q F0 -.4(Wi)144 252 S .481
-(thout a numeric ar).4 F .481(gument, the v)-.18 F .481
+(insert\255comment \(M\255#\))108 240 Q F0 -.4(Wi)144 252 S .48
+(thout a numeric ar).4 F .48(gument, the v)-.18 F .481
 (alue of the readline)-.25 F F1(comment\255begin)2.981 E F0 -.25(va)
-2.981 G .48(riable is inserted at the).25 F(be)144 264 Q .097
-(ginning of the current line.)-.15 F .098(If a numeric ar)5.097 F .098
-(gument is supplied, this command acts as a toggle:)-.18 F(if)5.098 E
-.322(the characters at the be)144 276 R .321
+2.981 G .481(riable is inserted at the).25 F(be)144 264 Q .098
+(ginning of the current line.)-.15 F .098(If a numeric ar)5.098 F .097
+(gument is supplied, this command acts as a toggle:)-.18 F(if)5.097 E
+.321(the characters at the be)144 276 R .321
 (ginning of the line do not match the v)-.15 F .321(alue of)-.25 F F1
-(comment\255begin)2.821 E F0 2.821(,t)C .321(he v)-2.821 F .321(alue is)
--.25 F 1.013(inserted, otherwise the characters in)144 288 R F1
-(comment-begin)3.514 E F0 1.014(are deleted from the be)3.514 F 1.014
-(ginning of the line.)-.15 F 1.469
+(comment\255begin)2.821 E F0 2.822(,t)C .322(he v)-2.822 F .322(alue is)
+-.25 F 1.014(inserted, otherwise the characters in)144 288 R F1
+(comment-begin)3.514 E F0 1.014(are deleted from the be)3.514 F 1.013
+(ginning of the line.)-.15 F 1.468
 (In either case, the line is accepted as if a ne)144 300 R 1.468
-(wline had been typed.)-.25 F 1.468(The def)6.468 F 1.468(ault v)-.1 F
-1.468(alue of)-.25 F F1(com-)3.968 E(ment\255begin)144 312 Q F0 .839
-(causes this command to mak)3.339 F 3.339(et)-.1 G .839
-(he current line a shell comment.)-3.339 F .84(If a numeric ar)5.84 F
+(wline had been typed.)-.25 F 1.469(The def)6.469 F 1.469(ault v)-.1 F
+1.469(alue of)-.25 F F1(com-)3.969 E(ment\255begin)144 312 Q F0 .84
+(causes this command to mak)3.34 F 3.339(et)-.1 G .839
+(he current line a shell comment.)-3.339 F .839(If a numeric ar)5.839 F
 (gu-)-.18 E(ment causes the comment character to be remo)144 324 Q -.15
 (ve)-.15 G(d, the line will be e).15 E -.15(xe)-.15 G
 (cuted by the shell.).15 E F1(glob\255complete\255w)108 336 Q
-(ord \(M\255g\))-.1 E F0 .792(The w)144 348 R .791
-(ord before point is treated as a pattern for pathname e)-.1 F .791
+(ord \(M\255g\))-.1 E F0 .791(The w)144 348 R .791
+(ord before point is treated as a pattern for pathname e)-.1 F .792
 (xpansion, with an asterisk implicitly)-.15 F 2.5(appended. This)144 360
 R(pattern is used to generate a list of matching \214le names for possi\
 ble completions.)2.5 E F1(glob\255expand\255w)108 372 Q
-(ord \(C\255x *\))-.1 E F0 .371(The w)144 384 R .372
-(ord before point is treated as a pattern for pathname e)-.1 F .372
+(ord \(C\255x *\))-.1 E F0 .372(The w)144 384 R .372
+(ord before point is treated as a pattern for pathname e)-.1 F .371
 (xpansion, and the list of matching \214le)-.15 F .516
 (names is inserted, replacing the w)144 396 R 3.016(ord. If)-.1 F 3.016
 (an)3.016 G .516(umeric ar)-3.016 F .516
@@ -4791,47 +4793,47 @@ ble completions.)2.5 E F1(glob\255expand\255w)108 372 Q
 .872(the line is redra)144 444 R 3.372(wn. If)-.15 F 3.372(an)3.372 G
 .872(umeric ar)-3.372 F .872
 (gument is supplied, an asterisk is appended before pathname)-.18 F -.15
-(ex)144 456 S(pansion.).15 E F1(dump\255functions)108 468 Q F0 .626
-(Print all of the functions and their k)144 480 R .926 -.15(ey b)-.1 H
-.627(indings to the readline output stream.).15 F .627(If a numeric ar)
-5.627 F(gu-)-.18 E
+(ex)144 456 S(pansion.).15 E F1(dump\255functions)108 468 Q F0 .627
+(Print all of the functions and their k)144 480 R .927 -.15(ey b)-.1 H
+.626(indings to the readline output stream.).15 F .626(If a numeric ar)
+5.626 F(gu-)-.18 E
 (ment is supplied, the output is formatted in such a w)144 492 Q
 (ay that it can be made part of an)-.1 E/F2 10/Times-Italic@0 SF(inputr)
 2.5 E(c)-.37 E F0(\214le.)2.5 E F1(dump\255v)108 504 Q(ariables)-.1 E F0
-1.8(Print all of the settable readline v)144 516 R 1.799
-(ariables and their v)-.25 F 1.799(alues to the readline output stream.)
--.25 F 1.799(If a)6.799 F .304(numeric ar)144 528 R .304
+1.799(Print all of the settable readline v)144 516 R 1.799
+(ariables and their v)-.25 F 1.8(alues to the readline output stream.)
+-.25 F 1.8(If a)6.8 F .305(numeric ar)144 528 R .304
 (gument is supplied, the output is formatted in such a w)-.18 F .304
 (ay that it can be made part of an)-.1 F F2(inputr)144 540 Q(c)-.37 E F0
-(\214le.)2.5 E F1(dump\255macr)108 552 Q(os)-.18 E F0 .593
-(Print all of the readline k)144 564 R .893 -.15(ey s)-.1 H .592
-(equences bound to macros and the strings the).15 F 3.092(yo)-.15 G
-3.092(utput. If)-3.092 F 3.092(an)3.092 G(umeric)-3.092 E(ar)144 576 Q
+(\214le.)2.5 E F1(dump\255macr)108 552 Q(os)-.18 E F0 .592
+(Print all of the readline k)144 564 R .892 -.15(ey s)-.1 H .592
+(equences bound to macros and the strings the).15 F 3.093(yo)-.15 G
+3.093(utput. If)-3.093 F 3.093(an)3.093 G(umeric)-3.093 E(ar)144 576 Q
 .528(gument is supplied, the output is formatted in such a w)-.18 F .528
-(ay that it can be made part of an)-.1 F F2(inputr)3.028 E(c)-.37 E F0
+(ay that it can be made part of an)-.1 F F2(inputr)3.027 E(c)-.37 E F0
 (\214le.)144 588 Q F1(display\255shell\255v)108 600 Q
 (ersion \(C\255x C\255v\))-.1 E F0(Display v)144 612 Q
 (ersion information about the current instance of)-.15 E F1(bash)2.5 E
-F0(.)A F1(Pr)87 628.8 Q(ogrammable Completion)-.18 E F0 .147(When w)108
+F0(.)A F1(Pr)87 628.8 Q(ogrammable Completion)-.18 E F0 .146(When w)108
 640.8 R .147(ord completion is attempted for an ar)-.1 F .147
 (gument to a command for which a completion speci\214cation \(a)-.18 F
-F2(compspec)108 652.8 Q F0 3.828(\)h)C 1.329
-(as been de\214ned using the)-3.828 F F1(complete)3.829 E F0 -.2(bu)
+F2(compspec)108 652.8 Q F0 3.829(\)h)C 1.329
+(as been de\214ned using the)-3.829 F F1(complete)3.829 E F0 -.2(bu)
 3.829 G 1.329(iltin \(see).2 F/F3 9/Times-Bold@0 SF 1.329(SHELL B)3.829
-F(UIL)-.09 E 1.329(TIN COMMANDS)-.828 F F0(belo)3.579 E 1.329(w\), the)
+F(UIL)-.09 E 1.329(TIN COMMANDS)-.828 F F0(belo)3.579 E 1.328(w\), the)
 -.25 F(programmable completion f)108 664.8 Q(acilities are in)-.1 E -.2
-(vo)-.4 G -.1(ke).2 G(d.).1 E .334
-(First, the command name is identi\214ed.)108 681.6 R .333
+(vo)-.4 G -.1(ke).2 G(d.).1 E .333
+(First, the command name is identi\214ed.)108 681.6 R .334
 (If a compspec has been de\214ned for that command, the compspec is)
-5.334 F .587
+5.333 F .587
 (used to generate the list of possible completions for the w)108 693.6 R
-3.087(ord. If)-.1 F .587(the command w)3.087 F .587
-(ord is a full pathname, a)-.1 F 1.181
+3.087(ord. If)-.1 F .587(the command w)3.087 F .586
+(ord is a full pathname, a)-.1 F 1.18
 (compspec for the full pathname is searched for \214rst.)108 705.6 R
-1.18(If no compspec is found for the full pathname, an)6.181 F
+1.181(If no compspec is found for the full pathname, an)6.181 F
 (attempt is made to \214nd a compspec for the portion follo)108 717.6 Q
-(wing the \214nal slash.)-.25 E(GNU Bash-3.2)72 768 Q(2006 December 26)
-135.965 E(41)185.955 E 0 Cg EP
+(wing the \214nal slash.)-.25 E(GNU Bash-3.2)72 768 Q(2007 January 12)
+140.96 E(41)190.95 E 0 Cg EP
 %%Page: 42 42
 %%BeginPageSetup
 BP
diff --git a/doc/bashref.aux b/doc/bashref.aux
index d4d8207a..0313620c 100644
--- a/doc/bashref.aux
+++ b/doc/bashref.aux
@@ -311,7 +311,7 @@
 @xrdef{History Interaction-pg}{119}
 @xrdef{History Interaction-snt}{Section@tie 9.3}
 @xrdef{Event Designators-title}{Event Designators}
-@xrdef{Event Designators-pg}{119}
+@xrdef{Event Designators-pg}{120}
 @xrdef{Event Designators-snt}{Section@tie 9.3.1}
 @xrdef{Word Designators-title}{Word Designators}
 @xrdef{Word Designators-pg}{120}
@@ -358,18 +358,21 @@
 @xrdef{GNU Free Documentation License-title}{GNU Free Documentation License}
 @xrdef{GNU Free Documentation License-pg}{139}
 @xrdef{GNU Free Documentation License-snt}{Section@tie @char67.1}
+@xrdef{Indexes-title}{Indexes}
+@xrdef{Indexes-pg}{147}
+@xrdef{Indexes-snt}{Appendix@tie @char68{}}
 @xrdef{Builtin Index-title}{Index of Shell Builtin Commands}
-@xrdef{Builtin Index-pg}{147}
-@xrdef{Builtin Index-snt}{}
+@xrdef{Builtin Index-pg}{148}
+@xrdef{Builtin Index-snt}{Section@tie @char68.1}
 @xrdef{Reserved Word Index-title}{Index of Shell Reserved Words}
 @xrdef{Reserved Word Index-pg}{149}
-@xrdef{Reserved Word Index-snt}{}
+@xrdef{Reserved Word Index-snt}{Section@tie @char68.2}
 @xrdef{Variable Index-title}{Parameter and Variable Index}
-@xrdef{Variable Index-pg}{151}
-@xrdef{Variable Index-snt}{}
+@xrdef{Variable Index-pg}{149}
+@xrdef{Variable Index-snt}{Section@tie @char68.3}
 @xrdef{Function Index-title}{Function Index}
-@xrdef{Function Index-pg}{153}
-@xrdef{Function Index-snt}{}
+@xrdef{Function Index-pg}{151}
+@xrdef{Function Index-snt}{Section@tie @char68.4}
 @xrdef{Concept Index-title}{Concept Index}
-@xrdef{Concept Index-pg}{155}
-@xrdef{Concept Index-snt}{}
+@xrdef{Concept Index-pg}{153}
+@xrdef{Concept Index-snt}{Section@tie @char68.5}
diff --git a/doc/bashref.bt b/doc/bashref.bt
index ea9c449e..fff3178b 100644
--- a/doc/bashref.bt
+++ b/doc/bashref.bt
@@ -52,5 +52,5 @@
 \entry{suspend}{89}{\code {suspend}}
 \entry{compgen}{113}{\code {compgen}}
 \entry{complete}{113}{\code {complete}}
-\entry{fc}{117}{\code {fc}}
+\entry{fc}{118}{\code {fc}}
 \entry{history}{118}{\code {history}}
diff --git a/doc/bashref.bts b/doc/bashref.bts
index dee314ac..78a534e4 100644
--- a/doc/bashref.bts
+++ b/doc/bashref.bts
@@ -30,7 +30,7 @@
 \entry {\code {exit}}{36}
 \entry {\code {export}}{36}
 \initial {F}
-\entry {\code {fc}}{117}
+\entry {\code {fc}}{118}
 \entry {\code {fg}}{88}
 \initial {G}
 \entry {\code {getopts}}{37}
diff --git a/doc/bashref.cp b/doc/bashref.cp
index db1fc7f6..be8f9f86 100644
--- a/doc/bashref.cp
+++ b/doc/bashref.cp
@@ -109,8 +109,8 @@
 \entry{history list}{117}{history list}
 \entry{history builtins}{117}{history builtins}
 \entry{history expansion}{119}{history expansion}
-\entry{event designators}{119}{event designators}
-\entry{history events}{119}{history events}
+\entry{event designators}{120}{event designators}
+\entry{history events}{120}{history events}
 \entry{installation}{123}{installation}
 \entry{configuration}{123}{configuration}
 \entry{Bash installation}{123}{Bash installation}
diff --git a/doc/bashref.cps b/doc/bashref.cps
index 564eca15..6d837644 100644
--- a/doc/bashref.cps
+++ b/doc/bashref.cps
@@ -37,7 +37,7 @@
 \entry {editing command lines}{91}
 \entry {environment}{31}
 \entry {evaluation, arithmetic}{76}
-\entry {event designators}{119}
+\entry {event designators}{120}
 \entry {execution environment}{30}
 \entry {exit status}{3, 31}
 \entry {expansion}{17}
@@ -58,7 +58,7 @@
 \entry {functions, shell}{14}
 \initial {H}
 \entry {history builtins}{117}
-\entry {history events}{119}
+\entry {history events}{120}
 \entry {history expansion}{119}
 \entry {history list}{117}
 \entry {History, how to use}{116}
